import type { CanvasConfig } from '@antv/g';
import { Canvas as GCanvas } from '@antv/g';
import React from 'react';
export interface CanvasProps extends CanvasConfig {
    classname?: string;
    role?: string;
    style?: React.CSSProperties;
    tabIndex?: number;
    title?: string;
}
export declare const Canvas: React.ForwardRefExoticComponent<Pick<CanvasProps, keyof CanvasProps> & React.RefAttributes<GCanvas>>;
