import type { Canvas, Element } from '@antv/g';
import React from 'react';
import ReactReconciler from 'react-reconciler';
export declare const reconcilor: ReactReconciler.Reconciler<Element<any, any>, Element<any, any>, Element<any, any>, any, any>;
/**
 * render react-g component to target g element
 * 将react-g组件渲染到任意的g实例（Canvas/Group/Shape）中
 * @param component react-g component
 * @param target g element, Canvas/Group/Shape instance
 * @param callback callback after render finished
 * @returns void
 */
export declare const render: (component: React.ReactNode, target: Element | Canvas, callback?: (() => void) | null) => void;
